Create ModelDeploymentConfig

View as Markdown

Create a new ModelDeploymentConfig (version 1).

Path parameters

workspacestringRequired

Request

This endpoint expects an object.
namestringRequiredformat: "^[\w\-.]+$"<=255 characters

Name of the deployment configuration. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

nim_deploymentobjectRequired

Configuration for NIM-based deployment

projectstringOptionalformat: "^[\w\-./]+$"<=255 characters
The URN of the project associated with this deployment configuration
descriptionstringOptional<=1000 characters
Optional description of the deployment configuration
model_entity_idstringOptional<=255 characters
Optional reference to the base model entity ID for this deployment

Response

Create a new model deployment configuration
namestringformat: "^[\w\-.]+$"<=255 characters

Name of the entity. Name/workspace combo must be unique across all entities. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

created_atdatetime
The timestamp of model entity creation
updated_atdatetime
The timestamp of the last model entity update
entity_versioninteger
Version of this deployment config. Automatically managed.
nim_deploymentobject

Configuration for NIM-based deployment

idstring
Unique identifier for the deployment config
projectstringformat: "^[\w\-./]+$"<=255 characters
The URN of the project associated with this entity.
descriptionstring<=1000 characters
Optional description of the deployment configuration
model_entity_idstring<=255 characters
Optional reference to the base model entity ID for this deployment

Errors

422
Unprocessable Entity Error